com.intellectualcrafters.plot.util

## Class ReflectionUtils

- java.lang.Object
- - com.intellectualcrafters.plot.util.ReflectionUtils

-     public class ReflectionUtils
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ReflectionUtils.RefClass` RefClass - utility to simplify work with reflections.
    `static class` | `ReflectionUtils.RefConstructor` Constructor wrapper
    `static class` | `ReflectionUtils.RefField`
    `static class` | `ReflectionUtils.RefMethod` Method wrapper

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ReflectionUtils()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ReflectionUtils.RefClass` | `getRefClass(java.lang.Class clazz)` get RefClass object by real class
    `static ReflectionUtils.RefClass` | `getRefClass(java.lang.String... classes)` Get class for name.
    `static boolean` | `isForge()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ReflectionUtils

          public ReflectionUtils()

  - ### Method Detail

    - #### isForge

          public static boolean isForge()

      Returns:
        true if server has forge classes

    - #### getRefClass

          public static ReflectionUtils.RefClass getRefClass(java.lang.String... classes)

      Get class for name. Replace {nms} to net.minecraft.server.V*. Replace {cb} to org.bukkit.craftbukkit.V*. Replace {nm} to net.minecraft
      Parameters:
        `classes` - possible class paths
      Returns:
        RefClass object
      Throws:
        `java.lang.RuntimeException` - if no class found

    - #### getRefClass

          public static ReflectionUtils.RefClass getRefClass(java.lang.Class clazz)

      get RefClass object by real class
      Parameters:
        `clazz` - class
      Returns:
        RefClass based on passed class